/*Footer*/

#footer{
    display: flex;
    flex-flow: row wrap;
    justify-content: space-around;
    width: 100%;
    height: auto;
    background: #ECD7EF; 
    align-items: flex-start;
}

#footer iframe{
    margin-top: 10px;
    height:100px;
    width: 200px;
}

/*Cajas para cada parte del footer*/

.fcaja{
    flex-grow: 1;
    color: #282828;
    margin: 10px;
    padding: 20px;
    font-family: "Epilogue";
}

.logos{
    font-size: 20px;
    font-weight: bold;
}

/*Caja de iconos de redes sociales*/

.icon{
    text-align: center;
}

.icon i {
    font-size: 40px;
    color: #282828;
    transition: all .3s;
    border-radius: 999px;
}

.icon a{
    font-size: 40px;
    text-decoration: none;
    margin: 25px;
    transition: all .3s;
}

/*Hover de iconos*/

.icon i:hover{
    background: #282828;
    color: #ECD7EF;
}

/*Caja de mas info*/

.more-info{
    font-weight: 100;
}

/*Hover de more-info*/

.more-info a{
    position: relative;
    color: #282828;
    font-size: 15px;
    text-decoration: none;
    
}

.more-info a::before{
    content: '';
    position: absolute;
    width: 100%;
    height: 2px;
    border-radius: 2px;
    background-color: #282828;
    bottom: 0;
    left: 0;
    transform-origin: right;
    transform: scaleX(0);
    transition: transform .3s ease-in-out;
}

.more-info a:hover::before{
    transform-origin: left;
    transform: scaleX(1);
}

/*Responsive footer*/

@media (max-width: 780px){

    #footer{
        display: grid;
        grid-template-rows: repeat(4, auto);
        align-content: center;
        justify-content: center;
    }

    .logos{
        display: grid;
        justify-content: center;
    }

    .more-info{
        display: grid;
        justify-content: center;
    }

}